E-MailRelay

Static Public Member Functions | List of all members
GNet::DnsMessageRecordType Class Reference

A static class for mapping between a RR type name, such as "AAAA", and its corresponding numeric value. More...

`#include <gdnsmessage.h>`

## Static Public Member Functions
static unsigned int | value (std::string_view type_name)
| Returns the type value for the given type name. More...
static unsigned int | value (std::string_view type_name, std::nothrow_t) noexcept
| Returns the type value for the given type name, or zero on error. More...
static std::string | name (unsigned int type_value)
| Returns the type name for the given type value. More...

## Detailed Description

A static class for mapping between a RR type name, such as "AAAA", and its corresponding numeric value.

Definition at line 184 of file gdnsmessage.h.

## Member Function Documentation

## ◆ name()

std::string GNet::DnsMessageRecordType::name | ( | unsigned int | type_value | ) |
| static

Returns the type name for the given type value.

Definition at line 590 of file gdnsmessage.cpp.

## ◆ value() [1/2]

unsigned int GNet::DnsMessageRecordType::value | ( | std::string_view | type_name | ) |
| static

Returns the type value for the given type name.

Throws on error.

Definition at line 582 of file gdnsmessage.cpp.

## ◆ value() [2/2]

unsigned int GNet::DnsMessageRecordType::value | ( | std::string_view | type_name,
|  | std::nothrow_t |
| ) |  |
| static noexcept

Returns the type value for the given type name, or zero on error.

Definition at line 571 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsmessage.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsmessage.cpp